Subject: bug#57417: Emacs crashes due to symbol lookup error to rsvg_handle_set_stylesheet

From: Maxime Devos <[email-masked]>
Date: Thu, 10 Nov 2022 23:31:24 +0100

On 10-11-2022 19:13, [email-masked] wrote:
>[...]
> I checked the package definition with `guix edit emacs`
> ...
>             ;; When looking for libpng `configure' links with `-lpng -lz', so we
>             ;; must also provide zlib as an input.
>             libpng
>             zlib
>             (if (target-x86-64?)
>                 librsvg-bootstrap
>                 librsvg-2.40) => need to be change ?
>             libxpm
>             libxml2
> ...
> 
> I'm a newbie and I hope these details can help. I would appreciate a little help to go further and solve this issue.
> Thanks.

Which architecture are you on?  You can find out with

$ echo '(use-modules (guix utils)) (%current-system)' | guix repl

Same question for Vishakh Kumar.

Greetings,
Maxime.